Pixelmator Classic Ver. 3.9.3 Don´t Work in macOS High Sierra 10.13.6

Chat about the original Pixelmator.
User avatar

2021-04-27 22:00:07

After updating, the application no longer starts, the message that "update MacOS is required" is displayed, please Help!!!
User avatar

2021-04-27 22:05:21

I had the exact same experience. I was able to resolve this by reverting to the previous version using Time Machine. The version on the App Store does need amending so it works still on High Sierra, in my view (that’s the version that the Classic version is supposed to work on).

Sadly my Mac won’t run anything later than High Sierra…
User avatar

2021-04-28 04:34:04

Good day. Same problem here. I use it almost every day.
User avatar

2021-04-28 07:18:00

Hey everyone. Pixelmator Classic 3.9.3 is, indeed, the latest version available on macOS 10.13 but there's been an issue with the Mac App Store allowing to install it on incompatible systems. We've pushed a fix to the App Store today. For anyone with macOS 10.13 who has already updated, please drop us a line at support@pixelmator.com and we'll help you roll back to the previous, compatible Pixelmator version.

Update: To revert back to version 3.9.2 you can now delete the current copy of Pixelmator Classic and redownload a fresh one from the list of your purchased apps on the Mac App Store.